parquet-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ziva...@apache.org
Subject [parquet-mr] branch master updated: PARQUET-1462: Allow specifying new development version in prepare-release.sh (#557)
Date Tue, 04 Dec 2018 13:28:06 GMT
This is an automated email from the ASF dual-hosted git repository.

zivanfi pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/parquet-mr.git


The following commit(s) were added to refs/heads/master by this push:
     new 5881701  PARQUET-1462: Allow specifying new development version in prepare-release.sh
(#557)
5881701 is described below

commit 5881701d730cf74440b8e4df68b9777db3b2ca27
Author: Zoltan Ivanfi <zivanfi@apache.org>
AuthorDate: Tue Dec 4 14:28:00 2018 +0100

    PARQUET-1462: Allow specifying new development version in prepare-release.sh (#557)
    
    Before this change, prepare-release.sh only took the release version as a
    parameter, the new development version was asked interactively for each
    individual pom.xml file, which made answering them tedious.
---
 dev/prepare-release.sh | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/dev/prepare-release.sh b/dev/prepare-release.sh
old mode 100644
new mode 100755
index 1ced001..04a79a1
--- a/dev/prepare-release.sh
+++ b/dev/prepare-release.sh
@@ -18,16 +18,22 @@
 # under the License.
 #
 
-if [ -z "$1" ]; then
-  echo "Usage: $0 <version>"
-  exit
+set -e
+
+if [ -z "$2" ]; then
+    cat <<EOF
+Usage: $0 <release-version> <new-development-version-without-SNAPSHOT-suffix>
+Example: $0 1.6.0 1.7.0
+EOF
+  exit 1
 fi
 
-version=$1
+release_version="$1"
+new_development_version="$2-SNAPSHOT"
 
-tag=apache-parquet-$version
+tag="apache-parquet-$release_version"
 
 mvn release:clean
-mvn release:prepare -Dtag=$tag -DreleaseVersion=$version
+mvn release:prepare -Dtag="$tag" "-DreleaseVersion=$release_version" -DdevelopmentVersion="$new_development_version"
 
 echo "Finish staging binary artifacts by running: mvn release:perform"


Mime
View raw message